Subject: Re: [PATCH for-5.10] skbuff: Fix nfct leak on napi stolen

From: Greg KH <[email-masked]>
Date: Wed, 15 Mar 2023 08:43:21 +0100

On Tue, Mar 14, 2023 at 10:43:12PM -0700, Jakub Kicinski wrote:
> On Tue, 14 Mar 2023 20:10:17 +0800 Tao Liu wrote:
> > Upstream commit [0] had fixed this issue, and backported to kernel 5.10.54.
> > However, nf_reset_ct() added in skb_release_head_state() instead of
> > napi_skb_free_stolen_head(), which lead to leakage still exist in 5.10.
> > 
> > [0] https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=8550ff8d8c75416e984d9c4b082845e57e560984
> > 
> > Fixes: 570341f10ecc ("skbuff: Release nfct refcount on napi stolen or re-used skbs"))
> > Signed-off-by: Tao Liu <[email-masked]>
> 
> I'm not sure Greg will spot this. Make sure you CC stable.

Ah, thanks, I missed it.

I've queued this up now, Tao, nice fix, sorry for getting the backport
wrong!

greg k-h